/****************************************************************
 * byteTypes.h
 *---------------------------------------------------------------
 * Copyright (C) 2014-2015 Osman Celimli
 * For conditions of distribution and use, see copyright notice in hscc.c
 ****************************************************************/
#ifndef BYTETYPES
#define BYTETYPES

typedef struct charPair
{
	char cLo;
	char cHi;
} charPair;
typedef struct uCharPair
{
	unsigned char ucLo;
	unsigned char ucHi;
} uCharPair;

typedef struct shortPair
{
	short sLo;
	short sHi;
} shortPair;
typedef struct uShortPair
{
	unsigned short usLo;
	unsigned short usHi;
} uShortPair;


typedef union int8p8_t
{
	short sWhole;
	unsigned short usWhole;
	charPair cPair;
	uCharPair ucPair;
} int8p8_t;

typedef union int16p16_t
{
	int iWhole;
	unsigned int uiWhole;
	shortPair sPair;
	uShortPair usPair;
} int16p16_t;

#endif
